using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace CallCenterApi.BLL
{
    /// <summary>
    /// T_Sys_SystemConfig
    /// </summary>
    public partial class T_Sys_SystemConfig
    {
        private readonly DAL.T_Sys_SystemConfig dal = new DAL.T_Sys_SystemConfig();
        public T_Sys_SystemConfig()
        { }
        #region  BasicMethod
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(int F_ParamId)
        {
            return dal.Exists(F_ParamId);
        }

        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(Model.T_Sys_SystemConfig model)
        {
            return dal.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(Model.T_Sys_SystemConfig model)
        {
            return dal.Update(model);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int F_ParamId)
        {

            return dal.Delete(F_ParamId);
        }
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteList(string F_ParamIdlist)
        {
            return dal.DeleteList(F_ParamIdlist);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public Model.T_Sys_SystemConfig GetModel(int F_ParamId)
        {

            return dal.GetModel(F_ParamId);
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<Model.T_Sys_SystemConfig> GetModelList(string strWhere)
        {
            DataSet ds = dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<Model.T_Sys_SystemConfig> DataTableToList(DataTable dt)
        {
            List<Model.T_Sys_SystemConfig> modelList = new List<Model.T_Sys_SystemConfig>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                Model.T_Sys_SystemConfig model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = dal.DataRowToModel(dt.Rows[n]);
                    if (model != null)
                    {
                        modelList.Add(model);
                    }
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            return dal.GetRecordCount(strWhere);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
        {
            return dal.GetListByPage(strWhere, orderby, startIndex, endIndex);
        }
       

        #endregion  BasicMethod
        #region  ExtensionMethod

        #endregion  ExtensionMethod

        /// <summary>
        /// 根据编号获取值
        /// </summary>
        /// <param name="p_ParamCode">编号</param>
        /// <returns></returns>
        public string GetParamValueByParamCode(string p_ParamCode)
        {
            return dal.GetParamValueByParamCode(p_ParamCode);
        }
    }
}
